Name: x11-driver-input-joystick
Version: 1.6.1
Release: %mkrel 5
Summary: X.org input driver for joysticks
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
Joystick is an X.org input driver for joysticks.

%prep
%setup -q -n xf86-input-joystick-%{version}

%build
%configure2_5x --prefix=/usr
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#(eandry) remove devel file, create a devel package if needed
rm -rf %{buildroot}%{_includedir}/xorg/*.h
rm -rf %{buildroot}%{_libdir}/pkgconfig/*.pc

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/joystick_drv.la
%{_libdir}/xorg/modules/input/joystick_drv.so
%_mandir/man4/*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.6.1-5.mga3
+ Revision: 385944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.6.1-4.mga3
+ Revision: 289352
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.6.1-3.mga3
+ Revision: 256321
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.6.1-2.mga3
+ Revision: 252977
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.6.1-1.mga3
+ Revision: 249780
- new release

* Tue Dec 06 2011 tmb <tmb> 1.6.0-5.mga2
+ Revision: 177486
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.6.0-4.mga2
+ Revision: 153310
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-3.mga2
+ Revision: 153294
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-2.mga2
+ Revision: 153080
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1.6.0-1.mga1
+ Revision: 93626
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1.5.0-6.mga1
+ Revision: 64847
- fix build with x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.5.0-4.mga1
+ Revision: 50151
- imported package x11-driver-input-joystick

